Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSDataRetrieval Class Reference

Deprecated: Replaced by CSDataRetrievalWatcher. More...

`#import <CSDataRetrieval.h>`

Inherits NSObject.

## Instance Methods
(void) | - addDelegate:
| Add a delegate to be notified of progress in retrieving a data set. More...
(void) | - removeDelegate:
| Remove a delegate to be notified of progress in retrieving a data set. More...
(void) | - cancel
| Cancel the current data retrieval operation. More...

## Properties
NSArray * | delegates
| This delegates responsible for handling the CSDataRetrieval events. More...
CSDataSet * | dataSet
| The dataset. More...
BOOL | cancelled
| Has this data retrieval operation been cancelled? More...
BOOL | completed
| Has this data retrieval completed retrieve data? When it is completed, the dataset is filled with data and ready to listen for changes. More...
NSUInteger | serviceRequestId
| The requestId that is set by the service when it return DataRetrieval instance. More...

## Detailed Description

Deprecated: Replaced by CSDataRetrievalWatcher.

Deprecated: This class is not thread safe and has been replaced by the CSDataRetrievalWatcher class. Any public methods using CSDataRetrieval are now marked as deprecated and have been replaced by equivalent methods using the CSDataRetrievalWatcher class. Third party applications should not use these deprecated methods as they are not supported by Avaya.

## Method Documentation

- (void) addDelegate: |  | (id< CSDataRetrievalDelegate >) | delegate |

Add a delegate to be notified of progress in retrieving a data set.

Parameters

  delegate | The delegate to be added.

- (void) cancel |  |  |

Cancel the current data retrieval operation.

After this, the cancellation will be reported asynchronously to listeners

- (void) removeDelegate: |  | (id< CSDataRetrievalDelegate >) | delegate |

Remove a delegate to be notified of progress in retrieving a data set.

Parameters

  delegate | The delegate to be removed.

## Property Documentation

- (BOOL) cancelled
| read nonatomic assign

Has this data retrieval operation been cancelled?

Returns
  `YES` if the operation was cancelled, `NO` otherwise.

- (BOOL) completed
| read nonatomic assign

Has this data retrieval completed retrieve data? When it is completed, the dataset is filled with data and ready to listen for changes.

Returns
  `YES` if it is completed, `NO` otherwise.

- (CSDataSet*) dataSet
| read nonatomic assign

The dataset.

- (NSArray*) delegates
| read atomic assign

This delegates responsible for handling the CSDataRetrieval events.

- (NSUInteger) serviceRequestId
| read write nonatomic assign

The requestId that is set by the service when it return DataRetrieval instance.

The documentation for this class was generated from the following file:

- CSDataRetrieval.h